> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecomail.cz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recommender

> Retrieve a single Spark recommender by its ID.

<ParamField path="recommender_id" type="string" required>
  The unique identifier of the recommender to retrieve.
</ParamField>

<Note>
  Unlike the list endpoint, this returns a single recommender object (not an array). An unknown `recommender_id` returns a `404` error.
</Note>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api2.ecomailapp.cz/recommenders/6789abc123def \
    -H "key: YOUR_API_KEY" \
    -H "Content-Type: application/json"
  ```

  ```php PHP theme={null}
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/recommenders/6789abc123def');
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      'key: YOUR_API_KEY',
      'Content-Type: application/json',
  ]);
  $response = curl_exec($ch);
  curl_close($ch);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "recommender_id": "6789abc123def",
    "feed_id": 1,
    "shop_id": "my-shop",
    "last_trained_timestamp": 1710000000,
    "status": "ready",
    "settings": {
      "filtered_products": ["SKU-A", "SKU-B"],
      "filtered_categories": ["Sale"],
      "included_months": [11, 12]
    },
    "sequence_number": 1,
    "name": "Christmas 2026"
  }
  ```

  ```json 404 theme={null}
  {
    "message": "Recommender not found."
  }
  ```
</ResponseExample>
